package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAdvertiserStrategy;

import java.text.ParseException;

public interface IAiKuaishouCreateCreativeService {
    Long autoCreateCreative(AiKuaishouAdvertiserStrategy strategy, Integer createType, Long videoCnt,String startTime,String endTime) throws InterruptedException;

    void autoCreateProgramCreative(AiKuaishouAdvertiserStrategy strategy, Integer createType, Long videoCnt);

    void customCreativeSupplement(AiKuaishouAdvertiserStrategy strategy, Integer hour) throws ParseException, InterruptedException;

    void customCreativeLimit(AiKuaishouAdvertiserStrategy strategy);

    void ProgramCreative(AiKuaishouAdvertiserStrategy strategy, Integer createType, Long videoCnt);
    // 组创建是否超限
    Boolean getUnitOverrun(Long accountId);
}
